Name:           geda-gattrib
Version:        20070216
Release:        1%{?dist}

Summary:        Attribute editor for gEDA
Group:          Applications/Engineering
License:        GPL

URL:            http://www.geda.seul.org/tools/gattrib/index.html
Source:         ftp://ftp.geda.seul.org/pub/geda/devel/%{version}/%{name}-%{version}.tar.gz
Source1:        gattrib.desktop
# Source 2: from the geda package
Source2:        gattrib.xpm

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgeda-devel, desktop-file-utils

Requires:       geda-symbols

%description
Gattrib is gEDA's attribute editor. It reads a set of gschem .sch files
(schematic files), and creates a spreadsheet showing all components in
rows, with the associated component attributes listed in the columns.
It allows the user to add, modify, or delete component attributes outside
of gschem, and then save the .sch files back out. When it is completed,
it will allow the user to edit attributes attached to components, nets,
and pins. (Currently, only component attribute editing is implemented;
pin attributes are displayed only, and net attributes are TBD.)

%prep
%setup -q

# use of guile-1.6
cp -p configure configure.guile16
sed -i "s|guile|guile-1.6|" configure
sed -i "s|guile-1.6-tools|guile-tools-1.6|" configure
sed -i "s|ac_cv_lib_guile-1.6|ac_cv_lib_guile|" configure
sed -i "s|-lguile-1.6|-lguile16|" configure
sed -i "s|guile-1.6version|guileversion|" configure
sed -i "s|#include <libguile-1.6.h>|#include <libguile16.h>|" configure

# v20061020 : file: include/libgeda.h
# Keep timestamps for files not needed to be modified
for f in `find . -name \*.h -or -name \*.c` ; do
   if grep -q libguile $f ; then
      sed -i.guile16 -e 's|libguile.h|libguile16.h|' $f
   fi
   if grep -q 'guile/' $f ; then
      sed -i 's|guile/\(.*\)h|guile16/\1h|' $f
   fi
done

%build
export GUILE_CFLAGS="-I%{_includedir}/libguile16 -I%{_includedir}/guile16"
export GUILE_LDFLAGS="-L%{_libdir}/guile16"


%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
    --add-category Engineering \
    --dir=%{buildroot}%{_datadir}/applications \
    %{SOURCE1}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gattrib.xpm

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/readmes
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS NOTES README* ToDos
%doc design/{gEDA_Structures_updated.png,ProgramArchitecture.gnumeric}
%{_bindir}/gattrib
%{_datadir}/gEDA/system-gattribrc
%{_datadir}/applications/gattrib.desktop
%{_datadir}/icons/hicolor/32x32/apps/gattrib.xpm

%Changelog
* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Sun Feb 04 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-3
- Fixed presence on Gnome menu

* Mon Jan 08 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-2
- rebuilt under compat-guile-16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream Release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed icon in gnome/kde menus
- dropped libpng-devel as BR since libgeda-devel already requires it

* Sun Sep 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Tue Mar 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040313-1
- version 20040313

* Sat Mar 6 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040303-1
- version 20040304, built on Fedora Core 1
- initialization of spec file.

# end of file
